function [g adj] = neteja_graf(g_in,adj_in)

    if nargin < 2
        error('Has de passar 2 parametres');
    end
    if size(g_in,1) > 1
        error('El graf ha de tenir una sola fila');
    end
    if size(adj_in,1) ~= size(adj_in,2) || size(adj_in,1) ~= size(g_in,2)
        error('Error en les dimensions de la matriu dadjacencia');
    end
    
    g = [];
    pos = [];
    for i = 1:length(g_in)
        if ~isnan(g_in{i})
            g = [g g_in(i)];
            pos = [pos i];
        end
    end
    adj = [];
    for i = pos
        aux = [];
        for j = pos
            aux = [aux adj_in(i,j)];
        end
        adj = [adj ; aux];
    end
