function g = obte_landmarks_de_imatge(imatge)

    img = im2double(imread(imatge));
    bw = im2bw(img);
    bw = ~bw;
    [L n] = bwlabel(bw);

    g = [];
    for i = 1:n
        fila = [];
        for j = 1:size(L,1)
            pos_x = postrue(L(j,:) == i);
            for k = 1:length(pos_x)
                fila = cat(1,fila,[pos_x(k) j]);
            end
        end
        g = cat(1,g,mean(fila));
    end

