function parts_ok = parse_parts(parts)
% 
% function parts_ok = parse_parts(parts)
% 
% Funcio que parseja les parts passades i retorna les parts correctes
% 
% ENTRADES:
% - parts: vector (1 x p) de cel.les on cada cel.la conte array amb nombres
% de landmark que componen aquella part
% 
% SORTIDES:
% - pars_ok: vector (1 x p) de cel.les amb parts parsejades i elements
% repetits eliminats
% 

    parts_ok = [];
    
    for i = 1:length(parts)
        part = [];
        for j = 1:length(parts{i})
            trobat = false;
            for k = 1:length(part)
                if part(k) == parts{i}(j)
                    trobat = true;
                    break;
                end
            end
            if ~trobat
                part = [part parts{i}(j)];
            end
        end
        parts_ok = [parts_ok {[part]}];
    end
end
